﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Net;
using TestLoginWin.AppCode;

namespace TestLoginWin
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        CookieContainer cc = new CookieContainer();

        private void btnLogin_Click(object sender, EventArgs e)
        {
            HttpHelper objHttpHelper = new HttpHelper(cc);
            CookieCollection cookieCollection;
            string html = objHttpHelper.GetHtml("http://localhost/TestLogin/Default.aspx", "__VIEWSTATE=%2FwEPDwULLTExNTc2NTI3OTlkZNLUwsKE0KKoVuCh7ELNz2cjAKBU&txtUserName=a&txtPassword=b&btnLogin=Login&__EVENTVALIDATION=%2FwEWBAKfnfTIDwKl1bKzCQK1qbSRCwKC3IeGDM%2FBt6kokoXv5qmx7K4EgFwj1si0", Method.POST, out cookieCollection);

            if (cookieCollection.Count > 0)
            {
                txtCookie.Text = "Cookie: " + cookieCollection["ASP.NET_SessionId"].Value;
            }
            else
            {
                txtCookie.Text = "Cookie: ";
            }
            txtHtml.Text = html;
        }

        private void btnVisitSuccess_Click(object sender, EventArgs e)
        {
            HttpHelper objHttpHelper = new HttpHelper(cc);
            CookieCollection cookieCollection;

            string html = objHttpHelper.GetHtml("http://localhost/TestLogin/LoginSuccess.aspx", out cookieCollection);

            if (cookieCollection.Count > 0)
            {
                txtCookie.Text = "Cookie: " + cookieCollection["ASP.NET_SessionId"].Value;
            }
            else
            {
                txtCookie.Text = "Cookie: ";
            }
            txtHtml.Text = html;
        }

        private void btnClearCookie_Click(object sender, EventArgs e)
        {
            cc = new CookieContainer();

            txtCookie.Clear();
            txtHtml.Clear();
        }
    }
}
